Orgs Connections
List WhatsApp product catalogs
List the product catalogs connected to a connection’s WABA (read through a Redis cache). Catalogs are authored in Meta’s Commerce Manager.
GET
/
orgs
/
{org_id}
/
connections
/
{connection_id}
/
whatsapp
/
catalogs
List WhatsApp product catalogs
curl --request GET \
--url https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/catalogs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/catalogs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useinvent.com/orgs/{org_id}/connections/{connection_id}/whatsapp/catalogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>"
}
]Authorizations
Bearer token authentication using your API key
Path Parameters
The ID of the org
The ID of the connection
Query Parameters
Page number
Number of items to take
Next page token (Only used on special endpoints)
Was this page helpful?
⌘I
List WhatsApp product catalogs
